[% USE Dumper %]

<div id="sjabloon_definitie">
<form>
<input type="hidden" name="uniqueidr" value="[% c.req.params.uniqueidr %]">
<input type="hidden" name="update" value="1">
<input type="hidden" name="rownumber" value="[% rownumber %]">
<table class="table_zaakinformatie" id="sjabloon_template">
    <tbody>
        <tr>
            <td class="table_td_left_zaakinformatie">Label</td>
            <td class="table_td_right_zaakinformatie">
                <div>
                    <input type="text"
                           value="[% params.label | html_entity %]"
                           placeholder="Gebruikersvriendelijke naam in faseacties"
                           name="sjablonen_label"
                    />
                </div>
            </td>
        </tr>
        <tr>
            <td class="table_td_left_zaakinformatie">Toelichting</td>
            <td class="table_td_right_zaakinformatie">
                <textarea cols="60" rows="10" name="sjablonen_help">[% params.help %]</textarea>
            </td>
        </tr>
        [%-
        is_external = 0;
        template = c.model('DB::BibliotheekSjablonen').find(params.bibliotheek_sjablonen_id);
        IF template.get_column('interface_id');
          is_external = 1;
          is_xential  = template.interface_id.module == 'xential' ? 1 : 0;
        END;
        %]
        [% IF !is_external %]
        <tr>
            <td class="table_td_left_zaakinformatie">Automatisch genereren:</td>
            <td class="table_td_right_zaakinformatie">
                <div>
                    <input type="hidden" name="dialog_checkboxes" value="sjablonen_automatisch_genereren" />
                    <input type="checkbox" value="1" name="sjablonen_automatisch_genereren"[% (params.automatisch_genereren ? ' checked="checked"' : '') %]> Ja
                </div>
            </td>
        </tr>
        [% END %]
        [% IF !is_external || is_xential %]
        <tr>
            <td class="table_td_left_zaakinformatie">Bestandsnaam</td>
            <td class="table_td_right_zaakinformatie">
                <div>
                    <input type="text"
                           value="[% params.custom_filename | html_entity %]"
                           placeholder="bestandsnaam zonder extensie"
                           name="sjablonen_custom_filename"
                    />
                </div>
            </td>
        </tr>
        [% END %]
        <tr>
            <td class="table_td_left_zaakinformatie">Zaakdocument:</td>
            <td class="table_td_right_zaakinformatie">
                <select name="sjablonen_bibliotheek_kenmerken_id">
                    <option value="">Geen</option>
                    [% fields = zaaktype.statussen.$milestone_number.elementen.kenmerken %]
                    [% FOREACH field_number = fields.keys %]
                        [% field = fields.$field_number %]
                        [% Dumper.dump(field) %]
                        [% NEXT UNLESS field.type == 'file' %]
                        <option value="[% field.bibliotheek_kenmerken_id %]"
                        [% (field.bibliotheek_kenmerken_id == params.bibliotheek_kenmerken_id  ? ' selected="selected"' : '') %]>
                            [% field.naam %]
                        </option>
                    [% END %]
                </select>
            </td>
        </tr>
        [% IF !is_external %]
        <tr>
            <td class="table_td_left_zaakinformatie">Opslagformaat:</td>
            <td class="table_td_right_zaakinformatie">
                <select name="sjablonen_target_format">
                    [% valid_formats = [
                        [ 'odt', 'odt (OpenDocument Text)' ],
                        [ 'pdf', 'pdf (PDF/A-1)' ],
                        [ 'docx', 'docx (Office Open XML Document)' ]
                    ] %]
                    [% FOREACH format = valid_formats %]
                    <option value="[% format.0 %]" [% IF params.target_format == format.0 %]selected[% END %]>
                        [% format.1 %]
                    </option>
                    [% END %]
                </select>
            </td>
        </tr>
        [% END %]
    </tbody>
<table>
<div class="form-actions">
<input type="submit" value="Opslaan" class="button button-primary">
</div>
</form>
</div>
